---
#image:
#  file: .gitpod.dockerfile

tasks:
  - name: initialize
    init: |

      npm install
      
      # ------------------------------------
      # Marp (slide)
      # ------------------------------------
      docker pull marpteam/marp-cli
      sudo apt-get install gettext -y

      clear
      #gp sync-done prerequisites


ports:
  - port: 8080
    visibility: public
  - port: 3000
    visibility: public

vscode:
  extensions:
    - wayou.vscode-todo-highlight
    - coenraads.bracket-pair-colorizer-2
    - pkief.material-icon-theme
    - marp-team.marp-vscode@1.3.0
    - johnpapa.vscode-peacock




